Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Class SaxonXQItem

    java.lang.Object
      net.sf.saxon.xqj.SaxonXQItem

All Implemented Interfaces:
  XQItem, XQItemAccessor, XQResultItem

    public class SaxonXQItem

extends Object
implements XQResultItem

Constructor Summary
`SaxonXQItem(Item item, Configuration config)`

Method Summary
`void` | `clearWarnings()`
`void` | `close()`
`String` | `getAtomicValue()`
`boolean` | `getBoolean()`
`byte` | `getByte()`
`XQConnection` | `getConnection()`
`double` | `getDouble()`
`float` | `getFloat()`
`int` | `getInt()`
`javax.xml.stream.XMLStreamReader` | `getItemAsStream()`
`String` | `getItemAsString()`
`String` | `getItemAsString(Properties props)`
`XQItemType` | `getItemType()`
`long` | `getLong()`
`Node` | `getNode()`
`URI` | `getNodeUri()`
`Object` | `getObject()`
`Object` | `getObject(XQCommonHandler handler)`
`short` | `getShort()`
`XQWarning` | `getWarnings()`
`boolean` | `instanceOf(XQItemType type)`
`boolean` | `isClosed()`
`void` | `writeItem(OutputStream os, Properties props)`
`void` | `writeItem(Writer ow, Properties props)`
`void` | `writeItemToSAX(ContentHandler saxHandler)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxonXQItem

    public SaxonXQItem(Item item,
                       Configuration config)

Method Detail

### clearWarnings

    public void clearWarnings()

  Specified by:
    `clearWarnings` in interface `XQResultItem`

### getConnection

    public XQConnection getConnection()
                               throws XQException

  Specified by:
    `getConnection` in interface `XQResultItem`
  Throws:
    `XQException`

### getWarnings

    public XQWarning getWarnings()
                          throws XQException

  Specified by:
    `getWarnings` in interface `XQResultItem`
  Throws:
    `XQException`

### close

    public void close()
               throws XQException

  Specified by:
    `close` in interface `XQItem`
  Throws:
    `XQException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `XQItem`

### getAtomicValue

    public String getAtomicValue()
                          throws XQException

  Specified by:
    `getAtomicValue` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getBoolean

    public boolean getBoolean()
                       throws XQException

  Specified by:
    `getBoolean` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getByte

    public byte getByte()
                 throws XQException

  Specified by:
    `getByte` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getDouble

    public double getDouble()
                     throws XQException

  Specified by:
    `getDouble` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getFloat

    public float getFloat()
                   throws XQException

  Specified by:
    `getFloat` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getInt

    public int getInt()
               throws XQException

  Specified by:
    `getInt` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getItemAsStream

    public javax.xml.stream.XMLStreamReader getItemAsStream()
                                                     throws XQException

  Specified by:
    `getItemAsStream` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getItemAsString

    public String getItemAsString()
                           throws XQException

  Specified by:
    `getItemAsString` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getItemAsString

    public String getItemAsString(Properties props)
                           throws XQException

  Throws:
    `XQException`

### getItemType

    public XQItemType getItemType()
                           throws XQException

  Specified by:
    `getItemType` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getLong

    public long getLong()
                 throws XQException

  Specified by:
    `getLong` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getNode

    public Node getNode()
                 throws XQException

  Specified by:
    `getNode` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getNodeUri

    public URI getNodeUri()
                   throws XQException

  Specified by:
    `getNodeUri` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getObject

    public Object getObject()
                     throws XQException

  Specified by:
    `getObject` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getObject

    public Object getObject(XQCommonHandler handler)
                     throws XQException

  Specified by:
    `getObject` in interface `XQItemAccessor`
  Throws:
    `XQException`

### getShort

    public short getShort()
                   throws XQException

  Specified by:
    `getShort` in interface `XQItemAccessor`
  Throws:
    `XQException`

### instanceOf

    public boolean instanceOf(XQItemType type)
                       throws XQException

  Specified by:
    `instanceOf` in interface `XQItemAccessor`
  Throws:
    `XQException`

### writeItem

    public void writeItem(OutputStream os,
                          Properties props)
                   throws XQException

  Specified by:
    `writeItem` in interface `XQItemAccessor`
  Throws:
    `XQException`

### writeItem

    public void writeItem(Writer ow,
                          Properties props)
                   throws XQException

  Specified by:
    `writeItem` in interface `XQItemAccessor`
  Throws:
    `XQException`

### writeItemToSAX

    public void writeItemToSAX(ContentHandler saxHandler)
                        throws XQException

  Specified by:
    `writeItemToSAX` in interface `XQItemAccessor`
  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.